#
# spec file for package dmenu
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dmenu
Version:        4.5
Release:        15.1
Summary:        A generic and efficient menu for X
License:        MIT
Group:          System/GUI/Other
Url:            http://tools.suckless.org/dmenu/
Source:         http://dl.suckless.org/tools/dmenu-4.5.tar.gz
BuildRequires:  xorg-x11-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
dmenu is a dynamic menu for X, originally designed for dwm. It manages large numbers of user-defined menu items efficiently.

%prep
%setup -q

%build
make OPTFLAGS="%{optflags}" \
    X11LIB="%{_prefix}/X11R6/%{_lib}"

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags} \
    PREFIX="%{_prefix}"\
    DESTDIR=%{buildroot}
#

%files
%defattr(-,root,root)
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*
%{_bindir}/stest
%{_mandir}/man1/stest.1.gz

%changelog
* Fri Jul  3 2015 mimi.vx@gmail.com
- spec cleaned with spec-cleaner
* Tue May 15 2012 seiler@b1-systems.de
- added link to dmenu changelog in the *.changes file
* Mon Mar 19 2012 seiler@b1-systems.de
- updated to version 4.5
  Changelog:
  http://hg.suckless.org/dmenu/log
- enhanced description
- removed package name from summary
- added new files to %%file section
* Thu Oct 11 2007 sschober@suse.de
- incorporated latest changeset [231:9ab649b3b3e5]
* Wed Oct  3 2007 sschober@suse.de
- updated to version 3.4
* Fri Jul 27 2007 sschober@suse.de
- initial packaging.
